View Issue Details

IDProjectCategoryLast Update
0019413AI War 2[All Projects] Bug - GameplayMar 23, 2018 11:12 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.706 
Fixed in Version0.716 
Summary0019413: Galaxy map move commands don't path through AI Planets
DescriptionI have a large force at Emerald, where I was trying to free the Dyson Sphere. I'd like to bring that force back to my planets and then scrap my controller so the Dyson will aid me. I selected all my Ships at Emerald, opened the Galaxy map and directed my ships to Wendig. It made the "Wormhole move" sound and then said "En Route", but my ships never moved. I can manually move them

Here's a save game to recreate the problem. I can move the fleet to an adjacent AI planet via a Galaxy Map move order, but not to anything more than one planet away. I suspect the code that tries to find the Least Dangerous Path, but without evidence.
TagsNo tags attached.

Relationships

related to 0019522 resolvedBadgerBadger Units won't go to (right) planet using galaxy map 

Activities

BadgerBadger

Feb 7, 2018 8:48 pm

manager   ~0046923

I tried reloading this and the problem did not readily recreate. This is perplexing. I have definitely observed this problem before though.

BadgerBadger

Feb 10, 2018 12:49 am

manager   ~0046950

Here's another weird example from a picture. I've selected my Ark on Atanasoff and I'm trying to send it to Postel. However, the path being chosen takes me away from Postel.

veryConfusedPath.png (1,556,978 bytes)

BadgerBadger

Feb 12, 2018 9:00 pm

manager   ~0046963

I suspect this is a thread related problem. I hit an issue where I couldn't send a move command via the galaxy map to a planet 2 hops away from my fleet. But after save/reload the problem went away.

BadgerBadger

Mar 23, 2018 11:12 pm

manager   ~0047291

I have fixed one bug that might have been causing this. I will open a new mantis problem if I hit this again.

Issue History

Date Modified Username Field Change
Feb 7, 2018 7:52 pm BadgerBadger New Issue
Feb 7, 2018 7:52 pm BadgerBadger Status new => assigned
Feb 7, 2018 7:52 pm BadgerBadger Assigned To => keith.lamothe
Feb 7, 2018 8:48 pm BadgerBadger Note Added: 0046923
Feb 10, 2018 12:49 am BadgerBadger File Added: veryConfusedPath.png
Feb 10, 2018 12:49 am BadgerBadger Note Added: 0046950
Feb 12, 2018 9:00 pm BadgerBadger Note Added: 0046963
Mar 21, 2018 11:21 pm BadgerBadger Relationship added related to 0019522
Mar 23, 2018 11:12 pm BadgerBadger Status assigned => resolved
Mar 23, 2018 11:12 pm BadgerBadger Resolution open => fixed
Mar 23, 2018 11:12 pm BadgerBadger Fixed in Version => 0.716
Mar 23, 2018 11:12 pm BadgerBadger Note Added: 0047291